Home | All Classes | Grouped Classes | Index | Search

# CL_System::get_exe_path

Returns the full dirname of the executable that started this process (aka argv[0])

    	std::string get_exe_path();

Return value:

full dirname of the executable, trailing slash is included

Detailed description:

This is necessary since when programms are started from the PATH there is no clean and simple way to figure out the location of the data files, thus information is read from `/proc/self/exe` under GNU/Linux and from GetModuleFileName() on Win32.

See also:

CL_System

Questions or comments, write to the ClanLib mailing list.